EDIT - feature request #2506

(Type-) Specimens may need status
07/25/2011 04:01 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

For eFlora specimen need at least the following markers:
notSeen, unknown, notFound (same as not seen?), destroyed, lost.

Seen may be handled even more accurately depending on who has seen it in a multi-user database. However, for now it may be
sufficient to use the marker as suggested.

see also the duplicate #1580

Related issues:

Related to EDIT - feature request #461: Improve / compact display of types In Progress

Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress

Related to EDIT - feature request #6865: [DISCUSS] Separator for Code and Acc... Closed

Related to EDIT - task #9940: Handle type category formatting in compact typi... In Progress

Related to EDIT - task #9941: [DISCUSS] Formatting of type designation catego... In Progress

Related to EDIT - bug #9965: Newly created derived unit is not shown in selec... Closed 03/07/2022 03/29/2022
Related to EDIT - feature request #10003: Implement specimen status in Data p... Closed 04/29/2022 05/04/2022
Related to EDIT - bug #10182: Portal does not show typespecimen for duplicate... Closed

Has duplicate EDIT - feature request #1580: Doubtful flag or presence attribu... Duplicate

Precedes EDIT - feature request #9939: Implement specimen status in TaxEditor Closed 03/11/2022 03/31/2022

Associated revisions

Revision cc0b954b - 02/10/2022 09:06 AM - Andreas Miiller

ref #2506 model change and update script for occurrence status

Revision 04f4b379 - 02/10/2022 09:06 AM - Andreas Miiller

ref #2506 adapt DerivedUnitDefaultCacheStrategy to occurrence status

Revision 42b9a2d2 - 02/10/2022 09:06 AM - Andreas Miiller

ref #2506 Adapt cache strategies to new occurrence status (maybe not yet ready)

Revision 60a7a975 - 02/10/2022 10:08 AM - Andreas Miiller

ref #2506 Fix update script for occurrence status

Revision cc1b49a9 - 02/10/2022 10:12 AM - Andreas Miuller
ref #2506 update test H2 in remote-webapp

Revision 3bbbc453 - 02/10/2022 10:18 AM - Andreas Miiller
ref #2506 update test H2 in taxeditor

Revision a9b3b19a - 02/10/2022 10:19 AM - Andreas Miiller
ref #2506 update test H2 in vaadin

Revision 367eadb1 - 02/10/2022 11:46 AM - Andreas Miiller
ref #2506 try to fix testdata for occurrence status

Revision fad27e66 - 02/10/2022 12:11 PM - Andreas Miiller

ref #2506 try to fix testdata for occurrence status (cont.)

Revision 3¢8290f7 - 02/11/2022 12:44 PM - Andreas Miiller

ref #2506 adapt dataportal tests to new collection-accessionNo seperator

Revision e38b1edd - 03/22/2022 02:42 PM - Andreas Miiller
ref #2506 update cdm model cache

Revision c042e8ee - 12/20/2022 01:13 PM - Andreas Miiller

ref #10182, ref #2506 add notNull to OccurrenceStatus.type to avoid meaningless status

Revision 98ba42ca - 01/03/2023 12:27 PM - Andreas Miiller
ref #2506, ref #10182 fix clone method for DerivedUnit.status

History

#1 - 05/15/2013 01:23 AM - Andreas Miiller
- Priority changed from Highest to Priority13

#2 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release

#3 - 02/18/2016 09:36 AM - Andreas Miiller

- Target version deleted (CDM UML - Next major release)

Hallo,

gibt es eine Méglichkeit, einem Specimen eine Notiz hinzuzufligen.

Konkreter Fall:

Holotype: Peru, Puno, near Sandia, 31. July 1902, Weberbauer 1353 (B, destroyed), isotype: US.
Wo bringe ich das “destroyed” unter?

Im Fall von Berlin betrifft das Tausende von Typusexemplaren, es wére als ggf. sogar ein spezieller Fall méglich. Besser aber ein Textfeld, dass man
nach der Herbarangabe (die ja den spezifischen physischen Beleg abgrenzt) in der Ausgabe einfligen kann.

Herzlichen Gruf3

Walter

Hallo Walter,

ja und nein. Natrlich ist es wie fur alle Identifiable Entities mdglich Annotationen, Marker, Extensions etc. an die Specimen zu hangen, so dass die
Daten gespeichert werden kénnen. Evil. kdnnte man im gegebenen Fall auch die PreservationMethod fir die Eingabe missbrauchen, aber das ist
unschén.

Ein explizites Feld fur die ,Status“-Angaben, ob Freitext oder aus einem kontrollierten Vokabular, gibt es noch nicht, obwohl ich es seit langerem auch
schon brauche insbesondere fiir die eFlora Daten, wo solche Angaben ja regelméBig vorkommen. Ich habe mir da nur noch nicht abschlieBend
Gedanken drum gemacht, wie das Modellseitig am besten aussehen kdnnte. Es gibt ja Angaben, die wirklich Specimen immanent sind, wie
destroyed, und die sich héchstens Uber die Zeit &ndern kdnnen.

Und dann gibt es Angaben, die projektspezifisch sind, wie ,not seen by the author”. Diese sollten bei der Migration von Daten in ein anderes Projekt
nicht unbedingt Gbernommen werden. Zudem stellt sich die Frage nach festem Vokabular oder Freitext oder beidem. Grundstétzlich denke ich schon,
dass es sich um ein relativ festes Vokabular handelt, welches immer wieder auftaucht und fiir welches auch gerne Symbole (z.B. Kreuz fur destroyed)
verwendet werden, so dass ein Freitext hier nicht so optimal ist.

Es gibt dazu auch schon ein relativ altes Ticket: http:/dev.e-taxonomy.eu/trac/ticket/2506. Vielleicht kdnnen wir nach deiner Rickkehr ja mal kurz
dariiber sprechen, wie wir damit am besten umgehen und welche Lésungen es vielleicht auch in anderen Systemen dafiir bereits gibt.
Viele Gruf3e,

Andreas M.

#4 - 02/18/2016 09:36 AM - Andreas Mdiller

- Keywords set to mexico_ws,

#5 - 02/18/2016 09:36 AM - Andreas Mdiller

- Keywords changed from mexico_ws, to mexico_ws, eFlora,

#6 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#7 - 07/08/2016 08:50 PM - Andreas Miiller
- Priority changed from Priority13 to Priority11

#8 - 12/01/2016 01:38 PM - Andreas Miiller
- Target version changed from CDM UML 4.1 to COM UML 4.7

#9 - 06/07/2017 01:17 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDOM UML 5.0

#10 - 05/08/2018 07:22 PM - Andreas Miiller
- Description updated

- Target version changed from CDM UML 5.0 to CDM UML 5.5

#11 - 01/19/2019 12:31 AM - Andreas Miiller
- Priority changed from Priority11 to Priority10

#12 - 02/19/2019 10:15 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#13 - 06/23/2020 02:52 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#14 - 11/17/2021 02:55 PM - Andreas Miiller

- Description updated

#15 - 11/17/2021 02:56 PM - Andreas Miiller

- Private changed from Yes to No

#16 - 11/17/2021 05:28 PM - Andreas Miiller
- Related to feature request #461: Improve / compact display of types added

#17 - 11/17/2021 05:29 PM - Andreas Miiller

- Related to feature request #1580: Doubtful flag or presence attribute for specimen in collection added

#18 - 11/17/2021 05:32 PM - Andreas Miiller

- Description updated

#19 - 11/17/2021 05:33 PM - Andreas Miiller

- Related to deleted (feature request #1580: Doubtful flag or presence attribute for specimen in collection)

#20 - 11/17/2021 05:33 PM - Andreas Miiller

- Has duplicate feature request #1580: Doubtful flag or presence attribute for specimen in collection added

#21 - 11/18/2021 02:34 PM - Andreas Miiller
- File picture503-1.png added
- File picture503-2.png added

NaK:

Bei den Kakteen-Typus-Angaben stof3e ich immer wieder auf ,not preserved” und ,not found at..“, und um diese Information mitzunehmen muss ich
die Typus-Angabe als Text eingeben, nicht als Specimen.

Ware es denkbar, ,not preserved” und ,not found* als Flags fur Typ-Specimens zu implementieren?
AM:

Bislang haben wir aber noch nicht entschieden, wie es implementiert werden soll. Vielleicht wére dies mal der Zeitpunkt, eine Entscheidung zu
treffen.
Dabei gibt es ein paar Probleme zu |6sen, die bereits im Kommentar des Tickets .

1. Subjektive vs. objektive Status, also z.B. destroyed (objektiver Status) vs. “not seen by the author” (subjektiver Status). Siehe hierzu auch meine
Antwort an Walter im Ticket (Kommentar 3).

2. Freitext vs. Vokabular: ich tendiere sehr zu einem festen (aber vom User erweiterbaren) Vokabular, es wirde mich aber interessieren, ob da was
dagegen spricht.

3. Anzahl: kann es sein, dass mehrere solcher Status fur das gleiche Specimen vorkommen kénnen? Dabei sollte man vielleicht auch eine
erweiterete Status-Liste denken, in der auch Dinge wie fossil etc. vorkommen.

4. Méglichst vollsténdige Liste: welche Status brauchen wir auf jeden Fall und sollten in das Vokabular mit aufgenommen werden?

Hierzu wirde mich die Meinung aller Nutzer sehr interessieren!

Als schwierigstes Problem sehe ich dabei Punkt 1. Grundsatzlich zu klaren ist hier, ob der Status einzig mit dem Beleg gespeichert werden soll, also
z.B. hier irgendwo:
oder ob es sich um eine Information handelt, die nur im Kontext der gegebenen Taxonomie/Publikation relevant ist und somit auch ein Attribut der
Beziehung zwischen Taxon(-knoten) und Specimen, genannt Individuals Association, sein kdnnte. Und dann z.B. hier eingetragen wird:
Oder, ob es beides gibt.
Ersteres nenne ich derzeit ,objektiv* und letzteres ,subjektiv”.

In letztere Kategorie wirde ich z.B. eher ,not seen by ...“ oder ,not found at .. “ und vielleicht auch ,unknown* stecken, wahrend ,destroyed” oder
Jost“ eher in die erste Kategorie gehort.

Grundsatzlich 1asst sich natlrlich auch alles direkt an den Beleg hangen. In den absolut meisten Fallen, die wir bislang behandeln wiirde das
sicherlich ausreichen. Wenn man Belege aus der Datenbank aber evtl. doch auch mal in Zukunft in einem anderen Kontext verwenden will, dann
kdnnte das dazu fihren, dass die Information ,not seen” nicht in jedem Kontext stimmt.

Am korrektesten ware somit vermutlich, beide Méglichkeiten zu haben und somit auch 2 Vokabulare zu implementieren. Andererseits wirde das die
Dinge eben auch komplizierter machen (vielleicht unnétig kompliziert), sowohl aus technischer Sicht als auch aus Nutzer Sicht.

WHK:

wichtig ist Andreas Kommentar, dass ,not seen“ aber auch ,destroyed” kontextabhéngig ist. Meines Erachtens wére es am saubersten, die
Information zu referenzieren. So hétte jeder Status eine Referenz, mehrere Status kdnnten mehrere oder dieselbe Referenz haben. Das kdnnte dann
einfach addiert werden. Bei einer Referenzierung kénnte die Information am Beleg héngen.

Und wenn ich Nadja richtig verstanden habe, hat diese Information immer eine Referenz (die auch die Source sein kann, oder eigene Recherche).

Im Ubrigen muss ein publizierter Status nicht stimmen, eine 1988er Publikation z.B. gibt den Status eines Belegs als destroyed an, wir haben ihn
inzwischen gefunden und gesehen.
WGB:

not seen and not found are different statements.

And I'd add “image seen” (="! image”).

And | think all these statements need a source — this may be a bibliographic reference (where the statements were used) or a person editing the
treatment (which may change over time).

WGB:

hatte schon das Ticket kurz kommentiert — ja, wenn jede dieser Statusangaben referenziert ist, dann kann man sie beim Beleg lassen — das durfte die
Sache doch vereinfachen?

NaK:

ich schlieBe mich Henning und Walter an. Ich denke auch, dass man die Status-Angaben beim Beleg lassen kann, aber jeder Status sollte
referenziert werden kdnnen, denn die Information bezieht sich tatsachlich auf den Beleg, stammt aber aus einer Publikation, und der Status kann sich
zwischen Publikationen unterscheiden, wie Henning schon schrieb. ,Not seen by* ist vielleicht der einzige Status, der auch eine individuals
association sein konnte.

Freitext vs. Vokabular: Ich ware fir ein festes, aber vom User erweiterbares Vokabular

Anzahl: ja, es kdbnnen mehrere Status-Angaben fir einen Beleg vorkommen

Vokabular: bisher kenne ich aus Publikationen:

destroyed

lost

dried out (fur Alkohol-Belege)
not found at...,

not seen by....

not preserved

not extant

Oft findet man aber etwas abweichende Formulierungen, also z.B. ,not extant?“ oder ,presumably not preserved®, deswegen féande ich es wichtig, das
Vokabular erweitern zu kdnnen, um den Status so anzugeben, wie ihn die Quelle angibt, sonst wird das schnell zu einer Interpretation.

NoK:

ich sehe das wie Nadja, Henning und Walter: referenzierte Statusangabe beim Beleg + festes erweiterbares Vokabular.

AM:

vielen Dank fur eure Riickmeldungen. Dann wirde ich das genauso implementieren wie die nomenklatorsichen Status fir Namen: mehrere Status
moglich (wenn auch selten), jeder Status mit einer Quelle versehbar, eigenes erweiterbares Vokabular (wobei das nom. Status Vokabular bislang
nicht erweiterbar ist).

Eine Frage noch: ,not found at...“ — das ist etwas schwierig, da es sich ja um quasi festes Vokabular handelt. Reicht hier ,not found* und gleichzeitig
hat man ja die Collection des Specimen? Soll das dann explizit als ,not found at ...“ formatiert werden oder reicht wie bei den anderen sowas wie ,B,
destroyed” also dann ,B, not found“?

NoK:

ja, "not found" reicht m.E.

NaK:

ich wiirde sagen ,B, not found* ist ok, ein zusétzliches ,not found at“ brauchen wir nicht.

WGB:

stimme zu.

#22 - 11/18/2021 02:34 PM - Andreas Miiller
- Priority changed from Priority10 to Highest

#23 - 11/19/2021 12:40 PM - Andreas Miiller

- Subject changed from (Type) Specimen may need markers to (Type-) Specimens may need markers

#24 - 11/23/2021 01:52 PM - Andreas Miiller

- Subject changed from (Type-) Specimens may need markers to (Type-) Specimens may need status

#25 - 11/23/2021 11:12 PM - Andreas Miiller

- Status changed from New to In Progress
- Target version changed from CDM UML 5.43 to Release 5.45

#26 - 12/15/2021 10:44 PM - Andreas Miiller
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

#27 - 12/15/2021 10:49 PM - Andreas Miiller
- Related to feature request #6865: [DISCUSS] Separator for Code and Accession Number added

#28 - 02/10/2022 09:43 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

The model part of this ticket is implemented. We may need to split the ticket for the remaining formatting issues and for implementing editing in
taxeditor.

#29 - 02/15/2022 03:41 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29

#30 - 02/15/2022 06:34 PM - Andreas Miiller

- Precedes feature request #9939: Implement specimen status in TaxEditor added

#31 - 02/15/2022 06:35 PM - Andreas Miiller
- Start date deleted (07/25/2011)

#32 - 02/15/2022 07:23 PM - Andreas Miiller
- Related to task #9940: Handle type category formatting in compact typification strings added

#33 - 02/15/2022 08:08 PM - Andreas Miiller
- Related to task #9941: [DISCUSS] Formatting of type designation categories in compact type string added

#34 - 02/15/2022 08:38 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Follow up tickets: #9939, #9940 and #9941. The issue is also handled in #461 again with

AM:

Und jetzt noch Thema 3: Separator fiir Beleg Status (z.B. ,destroyed”)

Diese Thema wurde eigentlich schon in https://dev.e-taxonomy.eu/redmine/issues/2506#note-21 ausreichend behand
elt und wir haben uns fiir eine Kommaseparierung entschieden. Ich bin nur im Zuge der Recherche auf https://dev
.e—taxonomy.eu/redmine/issues/461 gestoBen, wo damals vor langer Zeit mehrheitlich eine geschachtelte Klammer
vorgeschlagen wurde

Type: Borneo, Sabah, Sandakan Ramos 1490 (Holotype: B (presumed destroyed); isotypes: L, PNH).

und wollte daher fragen, ob es an der Klammervariante noch Interesse gibt, ansonsten wiirde ich das in #461 so
vermerken.

Therefore | close this ticket.

#35 - 03/28/2022 01:05 PM - Andreas Miiller

- Related to bug #9965: Newly created derived unit is not shown in selection dialog added

#36 - 03/28/2022 01:19 PM - Andreas Miiller

- Related to feature request #10003: Implement specimen status in Data portal added

#37 - 11/17/2022 05:48 PM - Andreas Miiller
- Related to bug #10182: Portal does not show typespecimen for duplicated typedesignation added
